Reports each server: installed, running or not, its endpoint and the models it serves.
GET
/v1/m/agenttools/model-servers
const url = 'https://example.com/v1/m/agenttools/model-servers';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/m/agenttools/model-servers \ --header 'Authorization: Bearer <token>'Reports each server: installed, running or not, its endpoint and the models it serves.
Authorizations
Section titled “ Authorizations ”Responses
Section titled “ Responses ”Each local OpenAI-compatible model server (llama.cpp, vLLM): installed, running or not, its endpoint and the models it serves
Media type application/json
object
servers
required
Array<object>
object
endpoint
string
installed
required
boolean
kind
required
string
message
string
model
string
models
required
Array<string>
name
required
string
state
required
string
Example
{ "servers": [ { "kind": "llama-cpp", "state": "stopped" } ]}Bad request
Media type application/json
object
Example generated
{}Unauthenticated
Media type application/json
object
Example generated
{}Forbidden / step-up required
Media type application/json
object
Example generated
{}Not found
Media type application/json
object
Example generated
{}Conflict
Media type application/json
object
Example generated
{}Required evidence or store unavailable
Media type application/json
object
Example generated
{}